[evolution-data-server] Do not require gnome-common to run autogen.sh



commit 7e9da438ed515f9179f2ad098316edd05b3ad963
Author: Milan Crha <mcrha redhat com>
Date:   Wed Jan 27 18:52:14 2016 +0100

    Do not require gnome-common to run autogen.sh

 autogen.sh |   39 ++++++++++++++++++++++++++++-----------
 1 files changed, 28 insertions(+), 11 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 9e7bed6..0215ff3 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,23 +4,40 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="evolution-data-server"
-REQUIRED_AUTOCONF_VERSION=2.58
-REQUIRED_AUTOMAKE_VERSION=1.10
-REQUIRED_LIBTOOL_VERSION=2.2
-REQUIRED_INTLTOOL_VERSION=0.35.5
-
 (test -f $srcdir/configure.ac \
   && test -f $srcdir/ChangeLog \
   && test -d $srcdir/calendar) || {
     echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
+    echo " top-level evolution-data-server directory"
     exit 1
 }
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from the GNOME CVS"
-    exit 1
+olddir=`pwd`
+cd $srcdir
+
+check_exists() {
+       variable=`which $1`
+
+       if test -z $variable; then
+               echo "*** No $1 found, please intall it ***" >&2
+               exit 1
+       fi
 }
 
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+check_exists aclocal
+check_exists autoreconf
+check_exists gtkdocize
+check_exists intltoolize
+
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+       mkdir -p $m4dir
+fi
+
+aclocal -I m4 || exit $?
+gtkdocize --copy || exit $?
+intltoolize --force --copy --automake || exit $?
+autoreconf --verbose --force --install -Wno-portability || exit $?
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" --enable-maintainer-mode "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]